Apache JMeter

## org.apache.jmeter.testelement
Interface TestListener

All Superinterfaces:
  TestIterationListener, TestStateListener

Deprecated. since 2.8, please use `TestStateListener` and/or `TestIterationListener`

    @Deprecated
    public interface TestListener

extends TestStateListener, TestIterationListener

TestListener interface is used for methods that are called at different stages of each test.

Method Summary

Methods inherited from interface org.apache.jmeter.testelement.TestStateListener
`testEnded, testEnded, testStarted, testStarted`

Methods inherited from interface org.apache.jmeter.testelement.TestIterationListener
`testIterationStart`

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.